<script setup>
  import { useRouter } from 'vue-router';

  const router = useRouter();

  let email = '';
  let password = '';

  function sendRegister() {
    console.log('envoie du formulaire de connection...')
    fetch('https://api.mangaUpdate.fr/register', {
      method: 'POST',
      headers: {'Content-Type': 'application/json'},
      body: JSON.stringify({
        'username':email,
        'password':password
      })
    })
    .then(response => response.json())
    .then(data => {
      console.log(data);
      if(data.message === 'created'){
        console.log('Création de compte reussie')
        router.push('/registerDone')
      }else{
        document.getElementById('error').innerText = data.error;
      }
    })
  }

</script>

<template>
  <main class="container mx-auto flex flex-col items-center mt-8">
    <h3 class="text-2xl mb-8">Création de compte</h3>
    <form method="post" v-on:submit.prevent="sendRegister" class="formulaire_login text-lg flex flex-col p-4">
      <div class="flex flex-col gap-2 mb-4">
        <input type='email' name="mail" id="inputMail" class="rounded text-black border-2 px-2" v-model="email" placeholder="Email" required>
      </div>
      <div class="flex flex-col gap-2 mb-2">
        <input type="password" name="password" id="inputPassword" class="rounded text-black border-2 px-2" v-model="password" placeholder="Mot de passe" required>
      </div>
      <div class="flex gap-2 my-2 items-start">
        <input type="checkbox" id="accepter_termes" class="mt-2" required>
        <label for="accepter_termes">J'accepte que les informations saisies soient collectées pour utiliser l'application et être recontacté</label>
      </div>
      <button type="submit" class='rounded my-4 px-2 py-1 bg-gray-400 text-black hover:bg-white border-2 hover:border-grey duration-200 self-center'>S'inscrire</button>
    </form>
    <div id="connection">
      <a v-on:click="()=>{router.push('/login')}" class="text-green-600">Se connecter</a>
    </div>
    <div id="error" class="my-3 text-red-500">
    </div>
  </main>
</template>

<style>

main{
  margin-top: 2rem;
}

#connection{
  cursor:pointer;
}

@media (min-width: 1024px) {
  .about {
    min-height: 100vh;
    display: flex;
    align-items: center;
  }
}
</style>